Skip to content

Perform various operations for Symitar parameters.

Operations

getLoanAppFieldName

POST

Retrieve LoanAppFieldName parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

LoanAppFieldNameFieldintegerrequiredLoan App Field Name Field data
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/parameter/getLoanAppFieldName
POST /nexum/627/2022.01/parameter/getLoanAppFieldName HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "LoanAppFieldNameField": "string",
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

getLoanAppFieldNameSelectFields

POST

Retrieve LoanAppFieldName parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

LoanAppFieldNameFieldintegeroptionalLoan App Field Name Field data
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/parameter/getLoanAppFieldNameSelectFields
POST /nexum/627/2022.01/parameter/getLoanAppFieldNameSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  },
  "LoanAppFieldNameField": 0,
  "SelectableFields": {
    "LoanAppFieldNameFields": {
      "Field": true,
      "FieldName": true
    }
  }
}

getLoanAppFieldNamePagedList

POST

Retrieve LoanAppFieldName parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/parameter/getLoanAppFieldNamePagedList
POST /nexum/627/2022.01/parameter/getLoanAppFieldNamePagedList HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "REPLACE_WITH_YOUR_TOKEN"
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

getLoanAppFieldNameListSelectFields

POST

Retrieve LoanAppFieldName parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/parameter/getLoanAppFieldNameListSelectFields
POST /nexum/627/2022.01/parameter/getLoanAppFieldNameListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  },
  "SelectableFields": {
    "IncludeAllLoanAppFieldNameFields": true
  }
}

searchLoanAppFieldNameSelectFields

POST

Search LoanAppFieldName parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/parameter/searchLoanAppFieldNameSelectFields
POST /nexum/627/2022.01/parameter/searchLoanAppFieldNameSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "SelectableFields": {
    "IncludeAllLoanAppFieldNameFields": true
  },
  "SearchFilter": {
    "Query": "string"
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

getLoanAppFieldNamePagedListSelectFields

POST

Retrieve LoanAppFieldName parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/parameter/getLoanAppFieldNamePagedListSelectFields
POST /nexum/627/2022.01/parameter/getLoanAppFieldNamePagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0
  },
  "SelectableFields": {
    "LoanAppFieldNameFields": {
      "Field": true,
      "FieldName": true
    }
  }
}

searchLoanAppFieldNamePagedSelectFields

POST

Search LoanAppFieldName parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Querystringoptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/parameter/searchLoanAppFieldNamePagedSelectFields
POST /nexum/627/2022.01/parameter/searchLoanAppFieldNamePagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0
  },
  "Query": "string",
  "SelectableFields": {
    "LoanAppFieldNameFields": {
      "Field": true,
      "FieldName": true
    }
  }
}

updateLoanAppFieldNameByID

POST

Update LoanAppFieldName parameter configuration. Parameter updates can change institution behavior and should be tested in a controlled environment before use.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

LoanAppFieldNameFieldintegeroptionalLoan App Field Name Field data
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/parameter/updateLoanAppFieldNameByID
POST /nexum/627/2022.01/parameter/updateLoanAppFieldNameByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "LoanAppFieldNameField": "string",
  "LoanAppFieldNameUpdatableFields": {
    "Type": 0,
    "Description": "string"
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}